Package com.thoughtworks.paranamer

## Class ParameterNamesNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.thoughtworks.paranamer.ParameterNamesNotFoundException

- All Implemented Interfaces:
    `Serializable`

      public class ParameterNamesNotFoundException
      extends RuntimeException

  Exception thrown when no parameter names are found
  Author:
    Paul Hammant, Mauro Talevi
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `__PARANAMER_DATA` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterNamesNotFoundException​(String message)` |
    `ParameterNamesNotFoundException​(String message, Exception cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getCause()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __PARANAMER_DATA

          public static final String __PARANAMER_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParameterNamesNotFoundException

          public ParameterNamesNotFoundException​(String message,
                                                 Exception cause)

    - #### ParameterNamesNotFoundException

          public ParameterNamesNotFoundException​(String message)

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Overrides:
        `getCause` in class `Throwable`